# RPM specfile for gal module
# Generated Wed Apr 30 14:02:39 2003 GMT by Ximian build system
# from $Id: bb_do,v 1.227 2003/04/19 20:41:38 thunder Exp $

%define nam	gal
%define ver	1.99.4
%define ximrev	1

Name:     	libgal2.0_2
Version: 	1.99.4
Release:	0.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Solaris 8 / SPARC
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /opt/gnome/doc

URL:		http://www.ximian.com/tech/
Source0:	gal-1.99.4.tar.gz
Summary:	The GNOME Application Library
Group:		Libraries/System
Provides:	ximian-libgal2.0_2 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libgal2.0_1
Obsoletes:	libgal2.0_0

%description
A collection of GNOME widgets and utility functions.

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%dir /opt/gnome/share/gal-2.0
/opt/gnome/share/gal-2.0/1.99.4
/opt/gnome/lib/lib*.so.*
/opt/gnome/*/locale/*/LC_MESSAGES/*.mo


%post
/bin/true

%postun
/bin/true

%package -n libgal2.0-devel
Summary:	Development files for the GNOME Applications library
Group:		Development/Libraries
Requires:	libgal2.0_2 = %{version}
Requires:	libgnomeprintui22-devel
Provides:	ximian-libgal2.0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgal2.0-devel
Development files for the GNOME Applications library

%files -n libgal2.0-devel
%defattr(-, root, root)
/opt/gnome/lib/*.so
/opt/gnome/lib/*.a
/opt/gnome/lib/pkgconfig/*.pc
/opt/gnome/include/*
/opt/gnome/share/gal-2.0/html


%package -n libgal2.0-modules
Summary:	GTK+ Accessibility Modules for the GNOME Application Libraries
Group:		System/Libraries
Requires:	libgal2.0_2 = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:	ximian-libgal2.0-modules = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n libgal2.0-modules
GTK+ Accessibility Modules for the GNOME Application Libraries

%files -n libgal2.0-modules
%defattr(-, root, root)
/opt/gnome/lib/gtk-2.0/modules/*.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gal-1.99.4
    ;;
all)
%setup  -q -n gal-1.99.4
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    LDFLAGS="${LDFLAGS} -lX11" ./configure --sysconfdir=/opt/gnome/etc --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --with-libiconv=/opt/gnome
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 30 2003 Ximian, Inc.

- Version: 1.99.4-0.ximian.1
- Summary: New build.
- New automated build.

* Wed Apr 9 2003 Ximian, Inc.

- Version: 1.99.3-0.ximian.1
- Summary: New build.
- New automated build.

* Tue Apr 8 2003 Ximian, Inc.

- Version: 1.99.2-0.ximian.1
- Summary: New build.
- New automated build.

